# frozen_string_literal: true

require('thor')
require('bct/apies')
require('bct/apigm')
require('bct/bigquery1')
require('bct/bigquery2')
require('bct/etherscan1')
require('bct/etherscan2')
require('bct/greymass1')
require('bct/greymass2')
require('bct/version')

module Bct
  # classe para erros desta gem
  class Erro < StandardError
    # @return [StandardError] personalizacao dos erros
    def initialize(msg)
      super(msg)
    end
  end

  # classe para carregar/mostrar dados transacoes eth & eos no bigquery
  class CLI < Thor
    desc 'work', 'carrega transacoes novas no bigquery'
    option :h, type: :hash, default: {}, desc: 'configuracao ajuste reposicionamento temporal'
    # carrega transacoes novas no bigquery
    def work
      Bct::Bigquery.new(options).processa_tudo
    end

    desc 'show', 'mostra resumo transacoes'
    option :v, type: :boolean, default: false, desc: 'mostra transacoes'
    option :t, type: :boolean, default: false, desc: 'mostra transacoes todas ou somente novas'
    # mostra resumo transacoes
    def show
      Bct::Bigquery.new(options).mostra_tudo
    end

    default_task :show
  end
end
